Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Remove provider from service territory DELETEGet providers in a service territory GETList Service Territories GETCreate Service Territory POSTDelete service territory DELETEGet Service Territory GETUpdate service territory PUT
PeopleService territories

Create Service Territory


Create a new service territory

POST
/api/rest/v2/service-territories

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Request Body

application/json

Service Territory creation payload

name*string

Name of the service territory

project_id*number

Project ID associated with this service territory

display_name?string

Display name of the service territory

attributes?array<>

Array of attributes for this service territory (upserted on create/update)

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/service-territories" \  -H "Content-Type: application/json" \  -d '{    "name": "Southwest Territory",    "project_id": 17705,    "display_name": "SW Region",    "attributes": [      {        "name": "coverage_radius",        "value": "50"      }    ]  }'
{
  "id": "uuid",
  "name": "Territory Name",
  "service_territory_id": "1",
  "project_id": 100,
  "tiers": [],
  "attributes": [],
  "provider_count": 0
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

List Service Territories GET

Previous Page

Delete service territory DELETE

Next Page

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/service-territories" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Southwest Territory",
    "project_id": 17705,
    "display_name": "SW Region",
    "attributes": [
      {
        "name": "coverage_radius",
        "value": "50"
      }
    ]
  }'